summaryrefslogtreecommitdiff
path: root/eclass
diff options
context:
space:
mode:
authorMike Frysinger <vapier@gentoo.org>2006-04-02 09:13:46 +0000
committerMike Frysinger <vapier@gentoo.org>2006-04-02 09:13:46 +0000
commit5c8d8a85933c5a6fcd75f1afb9910d755a10943b (patch)
tree718b9a3d74a8c44a47bcb713ef1bea2739dee9b3 /eclass
parentfix split-debug support when installing a cross-compiler (diff)
downloadhistorical-5c8d8a85933c5a6fcd75f1afb9910d755a10943b.tar.gz
historical-5c8d8a85933c5a6fcd75f1afb9910d755a10943b.tar.bz2
historical-5c8d8a85933c5a6fcd75f1afb9910d755a10943b.zip
add some more error checking when installing files
Diffstat (limited to 'eclass')
-rw-r--r--eclass/toolchain.eclass11
1 files changed, 6 insertions, 5 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index 1dfa60ce1e23..47931cc70eb2 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1,6 +1,6 @@
# Copyright 1999-2006 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
-# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.258 2006/04/02 09:12:56 vapier Exp $
+# $Header: /var/cvsroot/gentoo-x86/eclass/toolchain.eclass,v 1.259 2006/04/02 09:13:46 vapier Exp $
HOMEPAGE="http://www.gnu.org/software/gcc/gcc.html"
LICENSE="GPL-2 LGPL-2.1"
@@ -1530,7 +1530,8 @@ gcc-compiler_src_install() {
fi
create_gcc_env_entry hardenednopiessp
- cp "${WORKDIR}"/build/*.specs "${D}"${LIBPATH}
+ insinto ${LIBPATH}
+ doins "${WORKDIR}"/build/*.specs || die "failed to install specs"
fi
# Make sure we dont have stuff lying around that
@@ -1627,11 +1628,11 @@ gcc-compiler_src_install() {
# Rather install the script, else portage with changing $FILESDIR
# between binary and source package borks things ....
- if ! is_crosscompile; then
+ if ! is_crosscompile ; then
insinto /lib/rcscripts/awk
- doins "${GCC_FILESDIR}"/awk/fixlafiles.awk
+ doins "${GCC_FILESDIR}"/awk/fixlafiles.awk || die
exeinto /sbin
- doexe "${GCC_FILESDIR}"/fix_libtool_files.sh
+ doexe "${GCC_FILESDIR}"/fix_libtool_files.sh || die
fi
# use gid of 0 because some stupid ports don't have